Available in🇮🇳 India🇸🇬 Singapore🇺🇸 United States
Payment Links help you to receive payments from customers by sending them links via email and SMS. Use our APIs to create Payment Links. You can enter details such as amount, link expiry time, and more and send the link to the customer via email or SMS. The customer can select their desired payment method and complete the payment. Once the customer makes the payment, you will receive the amount in your bank account according to your settlement cycle.
You can accept payments made using card payment method using Standard Payment Links.
Payment Link APIs
You can create, update, cancel, fetch, and resend payment links using APIs. Check the API Reference Guide for endpoints, sample codes and parameter descriptions.Using Callback URL Parameter
Upon successful payment, customers can be directed to a designated URL through thecallback_url and callback_method parameters. For example, you can redirect customers to https://example-callback-url.com/.
The query parameters are added to the URL as shown:
Query Parameters
Verify Signature
You can verify therazorpay_signature parameter to validate that it is authentic and sent from Razorpay servers.
The razorpay_payment_link_id attribute should be stored in your system against an order, right after it is returned in the create Payment Link response. This is displayed as just id (for example, "id": "plink_FKeEiabyAAiSVQ") in the response.
- The
razorpay_signatureshould be validated by your server. In order to verify the signature, you need to create a signature usingrazorpay_payment_link_idrazorpay_payment_link_reference_idrazorpay_payment_link_statusrazorpay_payment_idas payload and yourkey_secret(your API secret) as secret.
razorpay_payment_link_id and mark this order as successful.